=== debian/changelog ===
jmb38x-dkms (20120501.stella2) precise; urgency=low

  * Solve upgrade kernel issue. (LP: #1088407)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Wed, 12 Dec 2012 16:38:44 +0800

jmb38x-dkms (20120501.stella1) precise; urgency=low

  * Initial release. (Closes: #1010330)

 -- Jian-Ding Chen (timchen119) <tim.chen119@canonical.com>  Mon, 02 Jul 2012 11:32:40 +0800
